Bug 844148 - [abrt] inkscape-0.48.2-5.fc17: g_logv: Process /usr/bin/inkscape was killed by signal 5 (SIGTRAP)
[abrt] inkscape-0.48.2-5.fc17: g_logv: Process /usr/bin/inkscape was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:f29364ea01860982ff07163014f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 08:17 EDT by Omkar
Modified: 2013-07-31 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.69 KB, text/plain)
2012-07-29 08:17 EDT, Omkar
no flags Details
File: maps (54.65 KB, text/plain)
2012-07-29 08:17 EDT, Omkar
no flags Details
File: dso_list (11.34 KB, text/plain)
2012-07-29 08:17 EDT, Omkar
no flags Details
File: build_ids (4.80 KB, text/plain)
2012-07-29 08:17 EDT, Omkar
no flags Details

  None (edit)
Description Omkar 2012-07-29 08:17:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        inkscape
comment:        I was trying to write a plugin in python due to which this crash occurred, but inkscape is expected to overcome exceptions...
crash_function: g_logv
executable:     /usr/bin/inkscape
kernel:         3.3.4-5.fc17.x86_64
pid:            1814
pwd:            /home/neo
time:           Sun 29 Jul 2012 04:08:15 PM IST
uid:            1000
username:       neo

backtrace:      Text file, 35526 bytes
build_ids:      Text file, 4920 bytes
dso_list:       Text file, 11609 bytes
maps:           Text file, 55963 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/neo/2

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4e821 g_logv libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4e9b2 g_log libglib-2.0.so.0 -
:4e0a3559ef2951a86e97f298027bc0b6df609069 0x48a2b Glib::exception_handlers_invoke() libglibmm-2.4.so.1 -
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91 0x2b0ad3 Gtk::Dialog_Class::response_callback(_GtkDialog*, libgtkmm-2.4.so.1 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x90db5 - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20003 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x8f8b3 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x27ffcb sp_main_gui(int, [exe] -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x26413f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Bramha
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:OLDPWD=/home/neo
:GNOME_KEYRING_CONTROL=/run/user/neo/keyring-YitoMd
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=neo
:LIBGL_DRIVERS_PATH=/usr/lib/dri:/usr/lib64/dri
:USERNAME=neo
:MAIL=/var/spool/mail/neo
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/neo/.local/bin:/home/neo/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:'PWD=/home/neo/Downloads/Embroidery Plugin/DST File Access Projects/APP_01_DST_File_Study/build'
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=865
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/neo
:SHLVL=1
:LOGNAME=neo
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-sIBpZ1inJx,guid=c12fb0611882fb92e147ea6400000068
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/neo
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-neo-dhM2ie/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/869,unix/unix:/tmp/.ICE-unix/869
:SSH_AUTH_SOCK=/run/user/neo/keyring-YitoMd/ssh
:GPG_AGENT_INFO=/run/user/neo/keyring-YitoMd/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-inkscape.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1814
:DESKTOP_STARTUP_ID=gnome-shell-1083-Bramha-inkscape-2_TIME4666404

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15883                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15883                15883                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/neo/.xsession-errors
:pos:	11772
:flags:	0102002
:2:/home/neo/.xsession-errors
:pos:	11772
:flags:	0102002
:3:socket:[29552]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[29555]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Jul 29 16:08:14 Bramha kernel: [11932.788937] inkscape[1814] trap int3 ip:30ee04e821 sp:7fff9e2b2a60 error:0
:Jul 29 16:08:19 Bramha abrt[2547]: Saved core dump of pid 1814 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-07-29-16:08:15-1814 (138035200 bytes)
Comment 1 Omkar 2012-07-29 08:17:46 EDT
Created attachment 601020 [details]
File: backtrace
Comment 2 Omkar 2012-07-29 08:17:49 EDT
Created attachment 601021 [details]
File: maps
Comment 3 Omkar 2012-07-29 08:17:51 EDT
Created attachment 601022 [details]
File: dso_list
Comment 4 Omkar 2012-07-29 08:17:54 EDT
Created attachment 601023 [details]
File: build_ids
Comment 5 Omkar 2012-08-12 09:38:18 EDT
I'm writting a plugin, which (unexpectedly) crashes inkscape..

backtrace_rating: 4
Package: inkscape-0.48.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora Admin XMLRPC Client 2012-10-03 13:38:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-07-03 19:47:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 22:44:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.